with Merge_Types;  use Merge_Types;
pragma Elaborate_All (Merge_Types);  --?

with Charles.Lists.Single.Unbounded;
pragma Elaborate_All (Charles.Lists.Single.Unbounded);

package Single_Unbounded_Merge_Lists is
   new Charles.Lists.Single.Unbounded (Merge_Type);

pragma Preelaborate (Single_Unbounded_Merge_Lists);


